Bug 222125 - Bad handling of author names with lowercase letters
Bad handling of author names with lowercase letters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: asciidoc (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-10 11:08 EST by Horst H. von Brand
Modified: 2008-01-02 14:26 EST (History)
0 users

See Also:
Fixed In Version: asciidoc-8.2.5-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 14:26:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An asciidoc file showing the problem (204 bytes, text/plain)
2007-01-10 11:08 EST, Horst H. von Brand
no flags Details
The example fixed for asciidoc 8.2.3 (106 bytes, text/plain)
2007-09-18 22:43 EDT, Horst H. von Brand
no flags Details
My SPEC file (3.74 KB, text/x-rpm-spec)
2007-09-18 23:39 EDT, Horst H. von Brand
no flags Details

  None (edit)
Description Horst H. von Brand 2007-01-10 11:08:52 EST
Description of problem:
Author names  which includes words in lowercase gives errors

Version-Release number of selected component (if applicable):
asciidoc-7.0.2-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. asciidoc -b docbook test.txt    # See attached file
2.
3.
  
Actual results:
ERROR: test.txt: line 3: malformed author line

Expected results:
Correctly processed document


Additional info:
There is an 8.1.0 version out now...
Comment 1 Horst H. von Brand 2007-01-10 11:08:53 EST
Created attachment 145261 [details]
An asciidoc file showing the problem
Comment 2 Chris Wright 2007-03-19 19:30:17 EDT
Thanks, checking into this one.
Comment 3 Chris Wright 2007-03-19 21:35:19 EDT
This is still a problem with upstream asciidoc.
Comment 4 Horst H. von Brand 2007-09-07 18:33:28 EDT
asciidoc-8.1.0-1.fc7 still shows this (Fedora rawhide, up to date). The upstream
version is 8.2.2 now...
Comment 5 Horst H. von Brand 2007-09-10 16:55:37 EDT
Still the same with 8.2.2. Upstream confirms this bug, but it is really that
asciidoc doesn't handle names with more than "First Middle Last" (in this case,
"Last" is two words). This is to be fixed in the upcoming version... 
Comment 6 Horst H. von Brand 2007-09-18 22:43:45 EDT
Created attachment 199071 [details]
The example fixed for asciidoc 8.2.3

With the upstream 8.2.3 this can be handled by separating words with '_', as
the fixed example shows.
Comment 7 Horst H. von Brand 2007-09-18 23:39:34 EDT
Created attachment 199141 [details]
My SPEC file

The 8.1.0 spec file (at least) was missing the images directory in %doc, see my
updated file here.
Comment 8 Horst H. von Brand 2008-01-02 14:26:41 EST
Current asciidoc-8.2.5-2.fc9 allows the workaround in #6.

Note You need to log in before you can comment on or make changes to this bug.